org.apache.cayenne.util

## Class DeleteRuleUpdater

- java.lang.Object
- - org.apache.cayenne.util.DeleteRuleUpdater

- All Implemented Interfaces:
    EntityMergeListener

      public class DeleteRuleUpdater
      extends Object
      implements EntityMergeListener

  DeleteRuleUpdater is responsible for auto-setting delete rules for object relationships

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DeleteRuleUpdater()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static EntityMergeListener` | `getEntityMergeListener()` Returns EntityMergeListener instance, which can set delete rule at relationship change
    `void` | `objAttributeAdded(ObjAttribute attr)` Invoked when a missing attribute in ObjEntity is completed from DbEntity
    `void` | `objRelationshipAdded(ObjRelationship rel)` Invoked when a missing relationship in ObjEntity is completed from DbEntity
    `static void` | `updateDataMap(DataMap map)` Updates delete rules for all obj entities in a datamap
    `static void` | `updateObjEntity(ObjEntity e)` Updates delete rules for all relationships in a objentity
    `static void` | `updateObjRelationship(ObjRelationship rel)` Updates delete rules for specified relationship

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DeleteRuleUpdater

          public DeleteRuleUpdater()

  - ### Method Detail

    - #### updateDataMap

          public static void updateDataMap(DataMap map)

      Updates delete rules for all obj entities in a datamap

    - #### updateObjEntity

          public static void updateObjEntity(ObjEntity e)

      Updates delete rules for all relationships in a objentity

    - #### updateObjRelationship

          public static void updateObjRelationship(ObjRelationship rel)

      Updates delete rules for specified relationship

    - #### objAttributeAdded

          public void objAttributeAdded(ObjAttribute attr)

      Description copied from interface: `EntityMergeListener`
      Invoked when a missing attribute in ObjEntity is completed from DbEntity
      Specified by:
        `objAttributeAdded` in interface `EntityMergeListener`

    - #### objRelationshipAdded

          public void objRelationshipAdded(ObjRelationship rel)

      Description copied from interface: `EntityMergeListener`
      Invoked when a missing relationship in ObjEntity is completed from DbEntity
      Specified by:
        `objRelationshipAdded` in interface `EntityMergeListener`

    - #### getEntityMergeListener

          public static EntityMergeListener getEntityMergeListener()

      Returns EntityMergeListener instance, which can set delete rule at relationship change

Copyright © 2001–2017 Apache Cayenne. All rights reserved.